aboutsummaryrefslogtreecommitdiff
path: root/nx-X11/extras/ogl-sample/main/doc/man/tools/glman
diff options
context:
space:
mode:
Diffstat (limited to 'nx-X11/extras/ogl-sample/main/doc/man/tools/glman')
-rw-r--r--nx-X11/extras/ogl-sample/main/doc/man/tools/glman57
1 files changed, 57 insertions, 0 deletions
diff --git a/nx-X11/extras/ogl-sample/main/doc/man/tools/glman b/nx-X11/extras/ogl-sample/main/doc/man/tools/glman
new file mode 100644
index 000000000..248fd8d6c
--- /dev/null
+++ b/nx-X11/extras/ogl-sample/main/doc/man/tools/glman
@@ -0,0 +1,57 @@
+#! /bin/sh
+#
+# License Applicability. Except to the extent portions of this file are
+# made subject to an alternative license as permitted in the SGI Free
+# Software License B, Version 1.1 (the "License"), the contents of this
+# file are subject only to the provisions of the License. You may not use
+# this file except in compliance with the License. You may obtain a copy
+# of the License at Silicon Graphics, Inc., attn: Legal Services, 1600
+# Amphitheatre Parkway, Mountain View, CA 94043-1351, or at:
+#
+# http://oss.sgi.com/projects/FreeB
+#
+# Note that, as provided in the License, the Software is distributed on an
+# "AS IS" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS
+# DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND
+# CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A
+# PARTICULAR PURPOSE, AND NON-INFRINGEMENT.
+#
+# Original Code. The Original Code is: OpenGL Sample Implementation,
+# Version 1.2.1, released January 26, 2000, developed by Silicon Graphics,
+# Inc. The Original Code is Copyright (c) 1991-2000 Silicon Graphics, Inc.
+# Copyright in any portions created by third parties is as indicated
+# elsewhere herein. All Rights Reserved.
+#
+# Additional Notice Provisions: The application programming interfaces
+# established by SGI in conjunction with the Original Code are The
+# OpenGL(R) Graphics System: A Specification (Version 1.2.1), released
+# April 1, 1999; The OpenGL(R) Graphics System Utility Library (Version
+# 1.3), released November 4, 1998; and OpenGL(R) Graphics with the X
+# Window System(R) (Version 1.3), released October 19, 1998. This software
+# was created using the OpenGL(R) version 1.2.1 Sample Implementation
+# published by SGI, but has not been independently verified as being
+# compliant with the OpenGL(R) version 1.2.1 Specification.
+#
+# $Date: 2004/03/14 08:29:09 $ $Revision: 1.1.1.4 $
+# $Header: /cvs/xorg/xc/extras/ogl-sample/main/doc/man/tools/glman,v 1.1.1.4 2004/03/14 08:29:09 eich Exp $
+
+# $1 is the value of $PREFIX, $2 is the value of $DEPTH,
+# $3 is the target name, and $4 is the api file name.
+# $5 is M4 options (if any)
+
+bNamE=`echo $3 | sed -e s/\\\..*//`
+maCdIr=$2/macros
+export maCdIr
+m4opts=$5
+
+case `pwd` in
+ *ftn) mKHeaD=mkhead.ftn.awk ; SeTUp=setup.ftn ;;
+ *) mKHeaD=mkhead.awk ; SeTUp=setup ;;
+esac
+
+trap "rm -rf glmanm4.$$" 0 1 2 15
+
+aPiFile=${4:-$ROOT/usr/include/GL/gl.h}
+
+awk -f $2/macros/$mKHeaD -v prefix=$1 -v basename=$bNamE $aPiFile >glmanm4.$$
+cat $2/macros/$SeTUp glmanm4.$$ $3 | m4 $m4opts